
Redmine - Feature #32399

Drop support for migrating from Trac or Mantins

2019-11-02 14:43 - Marius BĂLTEANU

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

In the last 3 or 4 years there were no improvements made to the scripts provided by Redmine to migrate from Mantis or Trac to

Redmine. During these years, Redmine improved a lot. Also, there are at least 45 open issues related to migration from Trac and 14

related to migration from Mantis.

My proposal is to drop support for those 2 migration scripts.

Related issues:

Has duplicate Redmine - Defect #33789: Remove obsolete migration tasks Closed

History

#1 - 2019-11-02 19:00 - Dominik Ras

+1

It's time to move on.

BTW

Any open items can still be at least partially serviced via CSV imports.

#2 - 2019-11-03 09:36 - Bernhard Rohloff

We faced the problem of moving from Mantis to Redmine about two years ago. It was somehow necessary to start from a 2.x release to get the

migration finished. After all we decided to start with Redmine from scratch as the import changed the issue IDs due to deleted issues in Mantis. IMHO,

it's always better to start from scratch. :-)

+1 to drop support.

We could leave a note in the wiki to describe a migration to an older version and afterwards upgrading to a current one.

#3 - 2019-12-06 14:36 - Stuart Auchterlonie

I have a whole series of patches to make trac import work with latest redmine if anybody is interested....

#4 - 2020-11-28 07:14 - Go MAEDA

- Has duplicate Defect #33789: Remove obsolete migration tasks added

#5 - 2022-04-07 21:33 - Crocodile Rat

Stuart Auchterlonie wrote:

I have a whole series of patches to make trac import work with latest redmine if anybody is interested....

 Do you have any for importing from Mantis? Thank you!
http://www.redmine.org/projects/redmine/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=o&f%5B%5D=category_id&op%5Bcategory_id%5D=%3D&v%5Bcategory_id%5D%5B%5D=15&f%5B%5D=subject&op%5Bsubject%5D=%7E&v%5Bsubject%5D%5B%5D=trac&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5D=category&group_by=
http://www.redmine.org/projects/redmine/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=o&f%5B%5D=category_id&op%5Bcategory_id%5D=%3D&v%5Bcategory_id%5D%5B%5D=15&f%5B%5D=subject&op%5Bsubject%5D=%7E&v%5Bsubject%5D%5B%5D=mantis&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5D=category&group_by=
http://www.tcpdf.org

